Bug 608481 - CUPS backend "socket" doesn't return marker(toner) levels for xerox 6110n / Samsung CLP-300n
Summary: CUPS backend "socket" doesn't return marker(toner) levels for xerox 6110n / S...
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: cups (Show other bugs)
(Show other bugs)
Version: 13
Hardware: All Linux
low
medium
Target Milestone: ---
Assignee: Tim Waugh
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords: Reopened
: 608354 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-27 18:08 UTC by Rick Richardson
Modified: 2011-11-14 09:36 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 19:01:51 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
snmp-supplies.c patch file (988 bytes, text/plain)
2010-06-27 18:09 UTC, Rick Richardson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
CUPS Bugs and Features 3610 None None None Never

Description Rick Richardson 2010-06-27 18:08:47 UTC
CUPS backend "socket" doesn't return marker(toner) levels for xerox 6110n / Samsung CLP-300.

prtMarkerLifeCount should be a counter but it actually an integer.  Patch included.

Before patch:

$ ./testsupplies 192.168.1.12
DEBUG2: hrDeviceDesc="HP Color LaserJet 2600n"
DEBUG: prtGeneralCurrentLocalization type is 5, expected 2!
DEBUG2: prtGeneralCurrentLocalization=0
DEBUG: prtLocalizationCharacterSet type is 5, expected 2!
DEBUG2: prtLocalizationCharacterSet=0
DEBUG2: prtMarkerSuppliesColorantIndex.1.1 = 1
DEBUG2: prtMarkerSuppliesColorantIndex.1.2 = 2
DEBUG2: prtMarkerSuppliesColorantIndex.1.3 = 3
DEBUG2: prtMarkerSuppliesColorantIndex.1.4 = 4
DEBUG2: prtMarkerSuppliesType.1.1 = 3
DEBUG2: prtMarkerSuppliesType.1.2 = 3
DEBUG2: prtMarkerSuppliesType.1.3 = 3
DEBUG2: prtMarkerSuppliesType.1.4 = 3
DEBUG2: prtMarkerSuppliesDescription.1.1 = "Black Toner Cartridge HP Q6000A"
DEBUG2: prtMarkerSuppliesDescription.1.2 = "Cyan Toner Cartridge HP Q6001A"
DEBUG2: prtMarkerSuppliesDescription.1.3 = "Magenta Toner Cartridge HP Q6003A"
DEBUG2: prtMarkerSuppliesDescription.1.4 = "Yellow Toner Cartridge HP Q6002A"
DEBUG2: prtMarkerSuppliesMaxCapacity.1.1 = 50
DEBUG2: prtMarkerSuppliesMaxCapacity.1.2 = 40
DEBUG2: prtMarkerSuppliesMaxCapacity.1.3 = 40
DEBUG2: prtMarkerSuppliesMaxCapacity.1.4 = 40
DEBUG2: prtMarkerSuppliesLevel.1.1 = 47
DEBUG2: prtMarkerSuppliesLevel.1.2 = 38
DEBUG2: prtMarkerSuppliesLevel.1.3 = 38
DEBUG2: prtMarkerSuppliesLevel.1.4 = 38
DEBUG2: prtMarkerColorantValue.1.1 = "black"
DEBUG2: prtMarkerColorantValue.1.2 = "cyan"
DEBUG2: prtMarkerColorantValue.1.3 = "magenta"
DEBUG2: prtMarkerColorantValue.1.4 = "yellow"
ATTR: marker-colors=#000000,#00FFFF,#FF00FF,#FFFF00
ATTR: marker-names="Black Toner Cartridge HP Q6000A","Cyan Toner Cartridge HP Q6001A","Magenta Toner Cartridge HP Q6003A","Yellow Toner Cartridge HP Q6002A"
ATTR: marker-types=toner,toner,toner,toner
ATTR: marker-levels=94,95,95,95
STATE: -media-low-report
STATE: -media-empty-warning
STATE: -toner-low-report
STATE: -toner-empty-warning
STATE: -door-open-report
STATE: -media-jam-warning
STATE: -input-tray-missing-warning
STATE: -output-tray-missing-warning
STATE: -marker-supply-missing-warning
STATE: -output-area-almost-full-report
STATE: -output-area-full-warning
backendSNMPSupplies: FAIL

After patch:

$ ./testsupplies 192.168.1.11
DEBUG2: hrDeviceDesc="Xerox Phaser 6110; OS <P6110N_V1.74.01.91 09-29-2006>, Net <V4.01.05(P6110) 08-22-2006>, Eng <1.01.35>, GDI <5.24 06-28-2006>"
DEBUG2: prtGeneralCurrentLocalization=1
DEBUG2: prtLocalizationCharacterSet=0
DEBUG2: prtMarkerSuppliesColorantIndex.1.1 = 1
DEBUG2: prtMarkerSuppliesColorantIndex.1.2 = 2
DEBUG2: prtMarkerSuppliesColorantIndex.1.3 = 3
DEBUG2: prtMarkerSuppliesColorantIndex.1.4 = 4
DEBUG2: prtMarkerSuppliesColorantIndex.1.5 = 5
DEBUG2: prtMarkerSuppliesColorantIndex.1.6 = 6
DEBUG2: prtMarkerSuppliesType.1.1 = 3
DEBUG2: prtMarkerSuppliesType.1.2 = 3
DEBUG2: prtMarkerSuppliesType.1.3 = 3
DEBUG2: prtMarkerSuppliesType.1.4 = 3
DEBUG2: prtMarkerSuppliesType.1.5 = 9
DEBUG2: prtMarkerSuppliesType.1.6 = 4
DEBUG2: prtMarkerSuppliesDescription.1.1 = "Cyan Toner Cartridge 106R01206"
DEBUG2: prtMarkerSuppliesDescription.1.2 = "Magenta Toner Cartridge 106R01205"
DEBUG2: prtMarkerSuppliesDescription.1.3 = "Yellow Toner Cartridge 106R01204"
DEBUG2: prtMarkerSuppliesDescription.1.4 = "Black Toner Cartridge 106R01203"
DEBUG2: prtMarkerSuppliesDescription.1.5 = "Imaging Unit 108R00721"
DEBUG2: prtMarkerSuppliesDescription.1.6 = "Waste Container 108R00722"
DEBUG2: prtMarkerSuppliesMaxCapacity.1.1 = 1000
DEBUG2: prtMarkerSuppliesMaxCapacity.1.2 = 1000
DEBUG2: prtMarkerSuppliesMaxCapacity.1.3 = 1000
DEBUG2: prtMarkerSuppliesMaxCapacity.1.4 = 2000
DEBUG2: prtMarkerSuppliesMaxCapacity.1.5 = 50000
DEBUG2: prtMarkerSuppliesMaxCapacity.1.6 = 5000
DEBUG2: prtMarkerSuppliesLevel.1.1 = 810
DEBUG2: prtMarkerSuppliesLevel.1.2 = 810
DEBUG2: prtMarkerSuppliesLevel.1.3 = 810
DEBUG2: prtMarkerSuppliesLevel.1.4 = 1640
DEBUG2: prtMarkerSuppliesLevel.1.5 = 49220
DEBUG2: prtMarkerSuppliesLevel.1.6 = -3
DEBUG2: prtMarkerColorantValue.1.1 = "Cyan"
DEBUG2: prtMarkerColorantValue.1.2 = "Magenta"
DEBUG2: prtMarkerColorantValue.1.3 = "Yellow"
DEBUG2: prtMarkerColorantValue.1.4 = "Black"
ATTR: marker-colors=none,none,none,none,none,none
ATTR: marker-names="Cyan Toner Cartridge 106R01206","Magenta Toner Cartridge 106R01205","Yellow Toner Cartridge 106R01204","Black Toner Cartridge 106R01203","Imaging Unit 108R00721","Waste Container 108R00722"
ATTR: marker-types=toner,toner,toner,toner,opc,wasteToner
ATTR: marker-levels=81,81,81,82,98,0
STATE: -media-low-report
STATE: -media-empty-warning
STATE: -toner-low-report
STATE: -toner-empty-warning
STATE: -door-open-report
STATE: -media-jam-warning
STATE: -input-tray-missing-warning
STATE: -output-tray-missing-warning
STATE: -marker-supply-missing-warning
STATE: -output-area-almost-full-report
STATE: -output-area-full-warning
backendSNMPSupplies: backendSNMPSupplies: PASS (page_count=351, printer_state=3)
^C

Comment 1 Rick Richardson 2010-06-27 18:09:52 UTC
Created attachment 427251 [details]
snmp-supplies.c patch file

Comment 2 Bug Zapper 2010-06-28 15:45:43 UTC
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Tim Waugh 2010-06-30 12:24:46 UTC
*** Bug 608354 has been marked as a duplicate of this bug. ***

Comment 4 Bug Zapper 2010-11-03 12:48:23 UTC
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 5 Bug Zapper 2011-06-01 15:26:19 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 6 Bug Zapper 2011-06-27 19:01:51 UTC
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 meme23 2011-11-13 16:32:01 UTC
I can verify this was still happening with Fedora 15(and now Fedora 16) with a Samsung CLP-315W. I don't have the "testsupplies" command installed so I can't give the output above. 

I am getting a message that says "/usr/lib/cups/filter/rastertosamsungsplc - failed".

Comment 8 Jiri Popelka 2011-11-14 09:36:37 UTC
(In reply to comment #7)
> I am getting a message that says "/usr/lib/cups/filter/rastertosamsungsplc -
> failed".

Fedora doesn't ship this file within any package. You need to contact Samsung (or wherever you got that driver from) with this problem.

You could also try the foo2qpdl driver.
Either from http://foo2qpdl.rkkda.com or from rpmfusion-free repository.


Note You need to log in before you can comment on or make changes to this bug.